[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCompositeCellEditor.DoUTF8KeyPress

Performs actions to handle a key press events for a UTF-8-encoded character.

## Declaration

Source position: grids.pas line 316

`protected function TCompositeCellEditor.DoUTF8KeyPress(`
`var UTF8Key: TUTF8Char`
`):Boolean; override;`

## Arguments

`UTF8Key` |  | UTF-8-encoded character value examined in the method.

## Function result

True if the key press is handled in the message.

## Description

DoUTF8KeyPress is an overridden method in TCompositeCellEditor. It calls the inherited method on entry to allow the key press to be previewed in Parent forms, or handled by the design surface at design-time. If the value in UTF8Key is not handled in the ancestor, the character is sent to (and optionally handled by) the ActiveControl in the composite cell editor.

The return value is True if the character in UTF8Key is handled in the method.

## See also

TCompositeCellEditor.ActiveControl |  | Contains the active editor control for the composite cell editor.
TWinControl.DoUTF8KeyPress |  | Performs actions needed to handle a UTF-8-encoded key press message for the control.
TCustomForm.KeyPreview |  | Allows the form to intercept keystrokes in child controls.